
Redmine - Defect #5773

Email reminders are sent to locked users

2010-06-29 11:35 - Yuki Kita

Status: Closed Start date: 2010-06-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 1.1.3   

Resolution: Fixed Affected version:  

Description

If I try to send email reminders by the command below, Redmine sends reminders to not only active users but also locked users.

rake redmine:send_reminders

 I think it is a problem because locked users' email addresses may be already deleted.

Associated revisions

Revision 5225 - 2011-03-27 17:12 - Jean-Philippe Lang

Do not send reminders to locked users (#5773).

History

#1 - 2010-06-29 16:16 - Yuki Kita

- File mailer.rb.diff added

- Status changed from New to Resolved

Fixed

#2 - 2010-10-12 08:17 - Go MAEDA

+1

Locked users should not be able to get any information of projects.

#3 - 2011-03-25 09:07 - Etienne Massip

- Target version set to Candidate for next minor release

#4 - 2011-03-27 17:13 - Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 1.1.3

- Resolution set to Fixed

Patch committed in r5225, thanks.

#5 - 2011-04-29 09:00 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

mailer.rb.diff 551 Bytes 2010-06-29 Yuki Kita
